Index: TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/OpenNews.java
===================================================================
--- TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/OpenNews.java	(revision 3383)
+++ TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/OpenNews.java	(revision 3384)
@@ -49,8 +49,7 @@
 					NewsEditor editor = (NewsEditor) page.openEditor(new NewsEditorInput(), NewsEditor.class.getName(), true);
 				}
 				catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
+					Log.printStackTrace(e);
 				}
 			}
 		});
Index: TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/DoWhatsNewSetupStep.java
===================================================================
--- TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/DoWhatsNewSetupStep.java	(revision 3383)
+++ TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/DoWhatsNewSetupStep.java	(revision 3384)
@@ -80,8 +80,7 @@
 					}
 				}
 				catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
+					Log.printStackTrace(e);
 				}
 			}
 		});
Index: TXM/trunk/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
===================================================================
--- TXM/trunk/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3383)
+++ TXM/trunk/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3384)
@@ -227,7 +227,7 @@
 				}
 			}
 			catch (Exception e) {
-				e.printStackTrace();
+				Log.printStackTrace(e);
 				firstPositionOfStructures.put(su, new org.txm.utils.Tuple<Integer>(Integer.MAX_VALUE, 0));
 			}
 		}
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 3383)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 3384)
@@ -12,6 +12,7 @@
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.utils.logger.Log;
 
 
 /**
@@ -43,8 +44,7 @@
 				index.setProperties(Arrays.asList(corpus.getWordProperty()));
 			}
 			catch (CqiClientException e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
+				Log.printStackTrace(e);
 			}
 		}
 		// Reopening an existing Lexicon
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 3383)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 3384)
@@ -40,6 +40,7 @@
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.utils.logger.Log;
 
 /**
  * Sends the selected lines of an index or lexicon to compute another command.
@@ -99,8 +100,7 @@
 				}
 			}
 			catch (CqiClientException e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
+				Log.printStackTrace(e);
 				return null;
 			}
 			
Index: TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java
===================================================================
--- TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java	(revision 3383)
+++ TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java	(revision 3384)
@@ -370,7 +370,7 @@
 				}
 			}
 		} catch(Exception e) {
-			e.printStackTrace();
+			Log.printStackTrace(e);
 		}
 		
 		for (AnnotationArea aa : annotationAreas) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 3383)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 3384)
@@ -11,6 +11,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.swt.dialog.TextDialog;
 import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.utils.logger.Log;
 
 public class RenameResult extends AbstractHandler  {
 
@@ -39,8 +40,7 @@
 						r.autoSaveParametersFromAnnotations();
 					}
 					catch (Exception e) {
-						// TODO Auto-generated catch block
-						e.printStackTrace();
+						Log.printStackTrace(e);
 						return null;
 					}
 					TXMPreferences.flush(r);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3383)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3384)
@@ -100,16 +100,11 @@
 					File f = new File(url);
 					File corpora = Toolbox.workspace.getLocation();
 					zipFile = new File(corpora, f.getName());
-					System.out.println("BEF ? " + zipFile.exists());
 					zipFile.delete();
-					System.out.println("DEL ? " + zipFile.exists());
 					FileUtils.copyURLToFile(u, zipFile);
-					System.out.println(zipFile.getAbsolutePath());
-					System.out.println("OK ? " + zipFile.exists());
 				}
 				catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
+					Log.printStackTrace(e);
 					return null;
 				}
 			}
Index: TXM/trunk/org.txm.tokenizer.core/src/org/txm/tokenizer/TokenizerClasses.java
===================================================================
--- TXM/trunk/org.txm.tokenizer.core/src/org/txm/tokenizer/TokenizerClasses.java	(revision 3383)
+++ TXM/trunk/org.txm.tokenizer.core/src/org/txm/tokenizer/TokenizerClasses.java	(revision 3384)
@@ -38,6 +38,7 @@
 import org.eclipse.core.resources.ProjectScope;
 import org.eclipse.core.runtime.preferences.IEclipsePreferences;
 import org.osgi.service.prefs.BackingStoreException;
+import org.txm.utils.logger.Log;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.Node;
@@ -854,14 +855,9 @@
 							if (debug) System.out.println(" Tokenizer parametrized with " + name + "=" + value);
 							field.set(field, value);
 						}
-						catch (IllegalArgumentException e) {
-							// TODO Auto-generated catch block
-							e.printStackTrace();
+						catch (Exception e) {
+							Log.printStackTrace(e);
 						}
-						catch (IllegalAccessException e) {
-							// TODO Auto-generated catch block
-							e.printStackTrace();
-						}
 					}
 				}
 			}
Index: TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/EigenvaluesTableEditor.java
===================================================================
--- TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/EigenvaluesTableEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/EigenvaluesTableEditor.java	(revision 3384)
@@ -51,6 +51,7 @@
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.editors.TableLinesViewerComparator;
 import org.txm.rcp.swt.GLComposite;
+import org.txm.utils.logger.Log;
 
 
 /**
@@ -168,8 +169,7 @@
 			this.viewer.setInput(((CA)this.getResult()).getSingularValuesInfos().toArray());
 		}
 		catch (Exception e) {
-			// TODO Auto-generated catch block
-			//e.printStackTrace();
+			Log.printStackTrace(e);
 			this.viewer.setInput(null);
 		}
 		
Index: TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 3384)
@@ -328,7 +328,7 @@
 					return ca.getColInfos();
 				}
 				catch (REXPMismatchException e) {
-					e.printStackTrace();
+					Log.printStackTrace(e);
 					return null;
 				}
 			}
Index: TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 3384)
@@ -142,8 +142,7 @@
 			
 		}
 		catch (CqiClientException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			Log.printStackTrace(e);
 		}
 		
 		
@@ -378,8 +377,7 @@
 			((TXMEditor) this.parentMultiPagesEditor.getEditors().get(4)).refresh(update);
 		}
 		catch (Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			Log.printStackTrace(e);
 		}
 	}
 	
Index: TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java
===================================================================
--- TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3383)
+++ TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3384)
@@ -92,7 +92,7 @@
 			}
 			catch (Exception e) {
 				System.out.println("Error: fail instanciate " + contributions[i].getName() + ": " + e.getLocalizedMessage());
-				e.printStackTrace();
+				Log.printStackTrace(e);
 			}
 		}
 		
Index: TXM/trunk/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- TXM/trunk/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3383)
+++ TXM/trunk/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3384)
@@ -298,7 +298,7 @@
 			}
 		}
 		catch (CqiClientException e) {
-			e.printStackTrace();
+			Log.printStackTrace(e);
 			return false;
 		}
 		
@@ -1147,8 +1147,7 @@
 				return true;
 			}
 			catch (Exception e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
+				Log.printStackTrace(e);
 			}
 		}
 		
Index: TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3383)
+++ TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3384)
@@ -214,7 +214,7 @@
 					RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(this.symbol);
 				}
 				catch (RWorkspaceException e) {
-					e.printStackTrace();
+					Log.printStackTrace(e);
 				}
 			}
 			
@@ -381,7 +381,7 @@
 			RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(this.symbol);
 		}
 		catch (RWorkspaceException e) {
-			e.printStackTrace();
+			Log.printStackTrace(e);
 		}
 	}
 	
@@ -630,8 +630,7 @@
 			}
 		}
 		catch (Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			Log.printStackTrace(e);
 		}
 		
 		// try {
Index: TXM/trunk/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java
===================================================================
--- TXM/trunk/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 3383)
+++ TXM/trunk/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 3384)
@@ -37,6 +37,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.utils.logger.Log;
 import org.txm.wordcloud.core.functions.WordCloud;
 import org.txm.wordcloud.core.messages.WordCloudCoreMessages;
 
@@ -91,8 +92,7 @@
 					wordCloud = new WordCloud(index);
 				}
 				catch (CqiClientException e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
+					Log.printStackTrace(e);
 				}
 			}
 			// Creating from Index
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/editor/PartitionEditor.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/editor/PartitionEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/editor/PartitionEditor.java	(revision 3384)
@@ -239,8 +239,7 @@
 					try {
 						cell.setText(""+part.getSize());
 					} catch (CqiClientException e) {
-						// TODO Auto-generated catch block
-						e.printStackTrace();
+						Log.printStackTrace(e);
 					}
 				} else {
 					cell.setText("not part");
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 3383)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 3384)
@@ -19,6 +19,7 @@
 import org.txm.searchengine.cqp.corpus.CqpObject;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.utils.logger.Log;
 
 public class ComputeIntersection extends BaseAbstractHandler {
 	
@@ -56,7 +57,7 @@
 				s.compute(false);
 			}
 			catch (InterruptedException e) {
-				e.printStackTrace();
+				Log.printStackTrace(e);
 				return null;
 			}
 		}
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 3383)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 3384)
@@ -87,8 +87,7 @@
 			corpus.compute(false);
 		}
 		catch (InterruptedException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			Log.printStackTrace(e);
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesTXMResultTab.java
===================================================================
--- TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesTXMResultTab.java	(revision 3383)
+++ TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesTXMResultTab.java	(revision 3384)
@@ -51,8 +51,7 @@
 			try {
 				this.browser.setUrl(file.toURI().toURL().toString());
 			} catch (MalformedURLException e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
+				Log.printStackTrace(e);;
 			}
 		} else {
 			Log.severe("Information HTML file doesn't exist."); //$NON-NLS-1$
Index: TXM/trunk/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- TXM/trunk/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 3383)
+++ TXM/trunk/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 3384)
@@ -78,8 +78,7 @@
 					}
 					progression = new Progression(corpus);
 				} catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
+					Log.printStackTrace(e);
 				}
 			}
 			// Reopening an existing result
Index: TXM/trunk/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- TXM/trunk/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 3384)
@@ -389,8 +389,7 @@
 							}
 						}
 						catch (Exception e) {
-							// TODO Auto-generated catch block
-							e.printStackTrace();
+							Log.printStackTrace(e);
 						}
 						if (count > 0) {
 							compute(true);
Index: TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3384)
@@ -898,7 +898,7 @@
 						}
 						catch (Error e) {
 							System.err.println(ConcordanceUIMessages.bind(ConcordanceUIMessages.fatalErrorColonP0, e));
-							e.printStackTrace();
+							Log.printStackTrace(e);
 						}
 						finally {
 							subMonitor.done();
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3384)
@@ -358,8 +358,7 @@
 			
 		}
 		catch (Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			Log.printStackTrace(e);
 		}
 	}
 	
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3383)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3384)
@@ -45,7 +45,6 @@
 		//ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this, true);
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this, false);
 		
-		
 		// Group bars by lines
 		this.groupBarsByLines = new ToolItem(this.getToolBar(), SWT.CHECK);
 		this.groupBarsByLines.setToolTipText(SpecificitiesUIMessages.groupBarsByLines);
Index: TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3383)
+++ TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3384)
@@ -142,8 +142,7 @@
 			}
 		}
 		catch (CqiClientException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
+			Log.printStackTrace(e);
 			return false;
 		}
 		return true;
Index: TXM/trunk/org.txm.utils/src/org/txm/utils/logger/Log.java
===================================================================
--- TXM/trunk/org.txm.utils/src/org/txm/utils/logger/Log.java	(revision 3383)
+++ TXM/trunk/org.txm.utils/src/org/txm/utils/logger/Log.java	(revision 3384)
@@ -58,6 +58,8 @@
 	/** The fh. */
 	protected static FileHandler fh;
 
+	public static int MAX_LINE_LENGTH = 1000;
+	
 	/**
 	 * The CONSOLE flags indicates if messages with level < INFO are printed in
 	 * console
@@ -223,9 +225,11 @@
 	 */
 	public static void severe(String message) {
 		
-		if (message.length() > 1000) { // cut if too long
-			message = message.substring(0, 1000) + "[...]";
-		}
+		if (message.length()> MAX_LINE_LENGTH) { // cut if too long
+			message = message.substring(0, MAX_LINE_LENGTH) + "[...]";
+			}
+message = message.replace("\n", "⏎");
+		
 
 		if (Level.SEVERE.intValue() >= txm.getLevel().intValue()) {
 			System.out.println(message);
@@ -290,10 +294,12 @@
 	 */
 	public static void warning(String message) {
 		
-		if (message.length() > 1000) { // cut if too long
-			message = message.substring(0, 1000) + "[...]";
-		}
+		if (message.length()> MAX_LINE_LENGTH) { // cut if too long
+			message = message.substring(0, MAX_LINE_LENGTH) + "[...]";
+			}
+message = message.replace("\n", "⏎");
 		
+		
 		if (Level.WARNING.intValue() >= txm.getLevel().intValue()) {
 			System.out.println(message);
 			// System.out.print("AT: ");
@@ -340,10 +346,12 @@
 	 */
 	public static void info(String message, boolean newline) {
 		
-		if (message.length() > 1000) { // cut if too long
-			message = message.substring(0, 1000) + "[...]";
-		}
+		if (message.length()> MAX_LINE_LENGTH) { // cut if too long
+			message = message.substring(0, MAX_LINE_LENGTH) + "[...]";
+			}
+message = message.replace("\n", "⏎");
 		
+		
 		if (Level.INFO.intValue() >= txm.getLevel().intValue()) {
 			if (newline) System.out.println(message);
 			else  System.out.print(message);
